﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>GCP Use Cases</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>GCP Use Cases</h1>
        <p>You can manage GCP applications by using the Application Management page. To manage an application, the application data must be brought into IGA. This is accomplished by specifying the import configurations and running the import jobs. After the data is available, you can make changes to this data and send those changes to the GCP application. These operations are broadly known as import and provisioning in Saviynt terminology. The following sections describe some of the commonly implemented import and provisioning use cases in GCP integration.</p>
        <h2 id="GCPUseCases-UpdatingConnectionDetails">Updating Connection Details</h2>
        <p>Before importing data and provisioning access, you must set up the connection between the target GCP and IGA. If you want to update the values of the connection configuration parameters that you provided in the Connection step of enrolling the application, then navigate to the <strong>Setup Connection Details</strong> section from the Home page, and specify or modify the values of the following parameters:</p>
        <ul>
            <li>
                <p><strong>Project ID to fetch regions and zones having compute engine API enabled:</strong> Specify this attribute to fetch the regions and zones.&#160;It is the project that has the Compute Engine API enabled.</p>
            </li>
            <li>
                <p><strong>Customer ID used in APIs to populate list of domains: </strong>Specify the customer ID that is used in the API call to populate the list of domains. For example, C04hhlibz</p>
            </li>
            <li>
                <p><strong>Comma separated list of domains containing accounts/groups: </strong>Specify the list of domain names separated by comma (,), for which it is required to pull the accounts groups. Example:&#160;Saviyntlabs.com</p>
            </li>
            <li>
                <p><strong>Service account</strong>: Specify values for the following parameters:</p>
                <ul>
                    <li>
                        <p><strong>Service account email: </strong>Specify the email of the service account. Example: (gcpsa-701@gcp-using-sa.iam.gserviceaccount.com).</p>
                    </li>
                    <li>
                        <p><strong>Domain user email: </strong>Specify the email of IAM user with privilege over users, groups and domains. Example: (<a href="mailto:rmore@saviyntcloud.net" class="external-link" rel="nofollow">rmore@saviyntcloud.net</a>).</p>
                    </li>
                </ul>
            </li>
            <li>
                <p><strong>Service account key: </strong>Expand and specify values for the required properties from your downloaded service account key that allows access to your Cloud resources. If you want to specify this is JSON format, then click <strong>Switch to Editor View</strong> and enter the service account key value.</p>
            </li>
            <li>
                <p><strong>Vault Configuration: </strong> Select a vault if you want to use the service account key stored in the vault instead of providing a value for the <strong>Service account key</strong> field on this page. Note that it is optional to use the credential vault. This option is available only if a credential vault connection is configured in IGA. For more information, see <MadCap:xref href="Credential-Vault-Configuration.htm#top">Credential Vault Configuration</MadCap:xref>.</p>
                <p>If you want to save the service account key in the vault:</p>
                <ol>
                    <li>
                        <p>In the Map Vault Attribute section, scroll down and select the <strong>Do you want to save&#160;Secret Data&#160;in vault?</strong> option. Text fields for entering the service account key are displayed.</p>
                    </li>
                    <li>
                        <p>Enter the value for the service account key.</p>
                    </li>
                </ol>
            </li>
        </ul>
        <h2 id="GCPUseCases-ImportingData">Importing Data</h2>
        <p>The application onboarding and management feature lets you import GCP data, which are resources hosted on the GCP account, including all the metadata associated with GCP resources (Instance, Disk, Network Interface, VPC Network, Subnetwork, Project, Organization, Folder, Roles, Kubernetes Engine, Groups, and so on). All the metadata related to the GCP resources, which are entitlement types in IGA, are imported to IGA.</p>
        <p>Saviynt supports full import for GCP applications. In full import, all the existing accounts are imported from GCP to IGA. Imports are performed via jobs. The import process (job) sends the import data for each GCP resource to IGA.&#160;Filters are applied to locate accounts that you want to import, and then the attribute values of those accounts are imported and stored in IGA. As part of this process, the deleted entries are identified and marked as inactive. For more information about jobs used for importing, see <MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#Data">Data</MadCap:xref>.</p>
        <h3 id="GCPUseCases-ImportingGCPAccountsandAccess"><a name="Importin2"></a>Importing GCP Accounts and Access</h3>
        <p>You can import GCP accounts to IGA and associate users with accounts&#160;to gain visibility into access permissions of those accounts and manage them from IGA.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note"> You must import accounts after the users are available in IGA. The accounts are imported by running the <strong>Application Data Import </strong>job. Importing accounts also imports accesses. In addition, you can optionally import entitlement types while performing custom-access import. See <MadCap:xref href="#Importin">Importing Entitlements (Optional)</MadCap:xref> for more information.</p>
        </div>
        <p>IGA provides a default account attribute mapping that sets the relationship between IGA attributes and GCP attributes. This default account attribute mapping is considered for account import. However, you can customize this mapping to control which GCP attributes match the IGA attributes, and how these attributes are imported into IGA. As an example, you can map the GCP attribute name.givenName to either the first name or last name attributes in IGA.</p>
        <p>To view the account attribute mapping, go to the <strong>Setup Account import configuration</strong> section and expand <strong>Account attribute mapping</strong>. The IGA attributes, the corresponding GCP attributes, and the data type for each attribute is displayed.</p>
        <p>
            <img src="../../Resources/Images/GCPnote.png" style="width: 650px;" />
        </p>
        <p>You can change the account attribute mapping by selecting the IGA attributes, the corresponding GCP attributes, and the data types. To add new attributes to the mapping, scroll down and click the plus (<strong>+</strong>) icon. If you want to remove an attribute, click the cross (<strong>x</strong>) icon to the right of the mapping row.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You can click <strong>Switch to Editor View</strong> to display the account attribute mapping in the JSON format. After modifying the mapping, click <strong>Switch to Builder View</strong> to display it in this view.</p>
        </div>
        <h3 id="GCPUseCases-LimitingtheNumberofSuspendedAccounts"><a name="Limiting"></a>Limiting the Number of Suspended Accounts</h3>
        <p>In the <strong>Setup Account import configuration</strong> section, you can specify the status of the accounts with a particular status to be excluded from the import and also specify the number of maximum accounts in that status that can exist in the system. To do so, click <strong>Edit</strong> to the right of <strong>Status and threshold configuration</strong> to open the Status and threshold configuration dialog box. In the left pane, click <strong>statusAndThresholdConfig</strong>, and then click <strong>accounts</strong>. Specify the values for the following parameters, and then click <strong>Done</strong>.</p>
        <ul>
            <li>
                <p><strong>Specify action for accounts which are not part of import: </strong>By default, accounts with the suspended status are excluded from the import. </p>
            </li>
            <li>
                <p><strong>Specify threshold value for accounts imported: </strong>Specify a threshold value, which allows the maximum number of accounts with suspended status that can exist in the system. The number of suspended accounts cannot exceed the value specified in this parameter. If the threshold value exceeds, then the status of the accounts will not change. For example, if there are 80000 active accounts and 20000 inactive accounts but the threshold value is 10000, then the statuses of the existing account data are not modified. The account statuses are updated only if the number of suspended accounts is within the limit of the threshold value, which is less than 10000.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can click <strong>Editor View</strong> and provide the threshold value in the JSON format. To display the attributes again, click <strong>Graphic View</strong></p>
                </div>
            </li>
        </ul>
        <h3 id="GCPUseCases-ImportingEntitlements(Optional)"><a name="Importin"></a>Importing Entitlements (Optional)</h3>
        <p>You must import accounts and access after the users are available in IGA. You can use the <strong>Application Data Import (Single Threaded)</strong> or <strong>Application Data Import (Multi Threaded)</strong> job to import Google accounts and access.&#160;You can optionally import entitlement types while performing custom-access import.</p>
        <p><strong>Master list of entitlements:</strong>
        </p>
        <p><span class="attr">{<br></br>"Roles": {},<br></br>"ServiceAccount_Roles": {},<br></br>"ServiceAccount_IAMPolicies": {},<br></br>"Organizations": {},<br></br>"Projects": {},<br></br>"Folders": {},<br></br>"Roles": {},<br></br>"RolePermissions": {},<br></br>"Org_Roles": {},<br></br>"Org_IAMPolicies": {},<br></br>"Project_Roles": {},<br></br>"Project_IAMPolicies": {},<br></br>"Folder_Roles": {},<br></br>"Folder_IAMPolicies": {},<br></br>"Groups": {},<br></br>"Group_Permissions": {},<br></br>"Zones": {},<br></br>"Regions": {},<br></br>"AlertPolicies": {},<br></br>"SubNetworks": {},<br></br>"VPCNetworks": {},<br></br>"Disks": {},<br></br>"Instances": {},<br></br>"DNSZone": {},<br></br>"Firewall": {},<br></br>"BucketsList": {},<br></br>"BucketIAMPolicy": {},<br></br>"SQLDatabaseInstance": {},<br></br>"ServiceAccountKeys": {},<br></br>"KubernetesEngine": {},<br></br>"Sinks": {},<br></br>"LogBasedMetrics": {},<br></br>"DiskSnapshots": {},<br></br>"Instances_IAMPolicies": {},<br></br>"Disks_IAMPolicies": {}<br></br>}</span>
        </p>
        <p>Sample&#160;<strong>Import Config JSON</strong>&#160;to import&#160;only Roles,&#160;ServiceAccount_Roles,&#160;and <b>ServiceAccount_IAMPolicies:</b></p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">{
"importEntTypes": {
"Roles": {},
"ServiceAccount_Roles": {},
"ServiceAccount_IAMPolicies": {}
},
"excludeEntTypes": {
"Organizations": {},
"Projects": {},
"Folders": {},
"Roles": {},
"RolePermissions": {},
"Org_Roles": {},
"Org_IAMPolicies": {},
"Project_Roles": {},
"Project_IAMPolicies": {},
"Folder_Roles": {},
"Folder_IAMPolicies": {},
"Groups": {},
"Group_Permissions": {},
"Zones": {},
"Regions": {},
"AlertPolicies": {},
"SubNetworks": {},
"VPCNetworks": {},
"Disks": {},
"Instances": {},
"DNSZone": {},
"Firewall": {},
"BucketsList": {},
"BucketIAMPolicy": {},
"SQLDatabaseInstance": {},
"ServiceAccountKeys": {},
"KubernetesEngine": {},
"Sinks": {},
"LogBasedMetrics": {},
"DiskSnapshots": {},
"Instances_IAMPolicies": {},
"Disks_IAMPolicies": {}
}
}</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>where,</p>
        <p><strong>importEntTypes</strong>&#160;includes all entitlements to be considered for&#160;custom_access&#160;import.</p>
        <p><strong>excludeEntTypes</strong>&#160;includes all entitlements to be excluded for&#160;custom_access&#160;import.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">A combination of these two lists should summarize the entire list of entitlements available in IGA.</p>
                </li>
                <li>
                    <p class="note">If you want to import Org_Roles,&#160;Project_Roles, or&#160;Folder_Roles, ensure that you have also added&#160;Organizations,&#160;Projects, and Folders respectively under&#160;importEntTypes in&#160;Import Config JSON.</p>
                </li>
            </ul>
        </div>
        <h3 id="GCPUseCases-ImportProcedure">Import Procedure</h3>
        <p>To configure importing GCP accounts and accesses:</p>
        <ol>
            <li>
                <p>On the Home page for the application, select <strong>Assisted configuration</strong>.</p>
            </li>
            <li>
                <p>Click <strong>See More</strong> to display all the selected features.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can add or remove the features that you want to configure by clicking <strong>&lt;Number of&gt; Features Selected</strong> on the top right of the Get Started section. In the Features page that is displayed, make the changes and click <strong>Save</strong>.</p>
                </div>
            </li>
            <li>
                <p>To configure the application properties for account import.</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Under Account Management, click the right arrow next to <strong>Setup Account import configuration</strong>.</p>
                    </li>
                    <li>
                        <p>Specify values for the account import properties by referring to the sections listed in the following table:</p>
                        <div class="table-wrap">
                            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                                <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                                <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                                <thead>
                                    <tr class="TableStyle-Default-Table-Head-Header1">
                                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">See More…</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="TableStyle-Default-Table-Body-Body1">
                                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                            <p class="table-text">Account attribute mapping</p>
                                        </td>
                                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                            <p class="table-text">
                                                <MadCap:xref href="#Importin2">Importing GCP Accounts and Access</MadCap:xref>
                                            </p>
                                        </td>
                                    </tr>
                                    <tr class="TableStyle-Default-Table-Body-Body1">
                                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                            <p class="table-text">Status and threshold configuration</p>
                                        </td>
                                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                            <p class="table-text">
                                                <MadCap:xref href="#Limiting">Limiting the Number of Suspended Accounts</MadCap:xref>
                                            </p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </li>
                    <li>
                        <p>When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>To complete enrolling the application, click <strong>Commit Changes</strong>.</p>
            </li>
            <li>
                <p>Add a job of the <strong>Application Data Import</strong> type. In the created trigger, select <strong>Import Type</strong> as <strong>Accounts</strong>, and run the job. For more information about creating and running jobs, see <MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Control-Panel.htm#top">Job Control Panel</MadCap:xref>.</p>
                <p>After the job completes, the accounts will be imported into the Identity Repository of IGA.</p>
            </li>
        </ol>
        <h2 id="GCPUseCases-ProvisioningAccounts">Provisioning Accounts</h2>
        <p>Provisioning involves creating, updating, deleting, disabling, or enabling accounts in GCP through Saviynt IGA. When you provision a GCP account to a user, the operation results in the creation of an account for that user in GCP. You can also update existing GCP accounts through IGA.</p>
        <p>To configure the application properties used for account provisioning, navigate to the <strong>Setup Account Provisioning configuration</strong> section.</p>
        <p>
            <img src="../../Resources/Images/acctmgmt.png" style="width: 650px;" />
        </p>
        <h3 id="GCPUseCases-CreatingAccounts"><a name="Creating"></a>Creating Accounts</h3>
        <p>You can create accounts in GCP&#160;from IGA. To configure the account creation, navigate to the <strong>Setup Account Provisioning</strong><strong>configuration </strong>section, and expand <strong>Create Account Policy</strong> to display account attributes. For account creation, specify values for the following attributes:</p>
        <ul>
            <li>
                <p><strong>dateFormat: </strong>Enter a time format for creation of the account. This is an optional field. If you want to change the default time format, then click the attribute, and select the format from an attribute, such as user.startdate.</p>
            </li>
            <li>
                <p><strong>primaryEmail: </strong>Select a format for the user’s primary email ID. The default value is user.email. If you want to change the default format, then click the attribute, and select the format from an attribute.  </p>
            </li>
            <li>
                <p><strong>addresses: </strong>Enter a list of the user’s addresses. This is an optional field. You can also click the attribute, and select an attribute from the list. In addition, if you want to set the addresses based on multiple conditional evaluations, then click the plus icon. In the Advanced Value dialog box, specify a a groovy script that contains multiple conditional evaluations, and click <strong>Save</strong>.</p>
            </li>
            <li>
                <p><strong>organizations: </strong>Specify the name of the organization in Google. </p>
            </li>
            <li>
                <p><strong>suspended: </strong>Do not specify any value because you cannot create suspended accounts in GCP. Any boolean value specified in this attribute is ignored for account creation. However, this attribute can be used to update suspended accounts. See <MadCap:xref href="#Updating">Updating Accounts</MadCap:xref> for more information.  </p>
            </li>
            <li>
                <p><strong>displayName: </strong>Enter the display name of the account. This is an optional field. You can also click the attribute, and select an attribute from the list.</p>
            </li>
            <li>
                <p><strong>name: </strong>Enter a value for the given and family names of the user account. This is a mandatory attribute. You can also click the attribute, and select an attribute from the list as the value.</p>
            </li>
            <li>
                <p><strong>orgUnitPath: </strong>Specify the path of the organization unit in which you want to create the account. If you do not specify any value, the account will be created in the root organization.</p>
            </li>
            <li>
                <p><strong>includeGlobalAddressList: </strong>Specify true to make the user's profile visible in the Google Workspace global address list. Otherwise, specify false.</p>
            </li>
        </ul>
        <p>Optionally, to determine the value of the name attribute in GCP, you can scroll down to the <strong>name</strong> section to enter or select values for the <strong>givenName</strong> and <strong>familyName</strong> attributes.</p>
        <p>Scroll down to the <strong>mapping</strong> section. This is a mapping of IGA and GCP account attributes for the newly created account. This mapping is provided by default and must be same as the attribute mapping for account import. Therefore, if you change any attribute mapping for account import, then make the same changes in this mapping as well.</p>
        <h3 id="GCPUseCases-UpdatingAccounts"><a name="Updating"></a>Updating Accounts</h3>
        <p>You can update already existing accounts in GCP from IGA. To do so, navigate to the <strong>Setup Account Provisioning configuration</strong> section, expand <strong>Update Account Policy</strong> and modify the values of the account attributes. See <MadCap:xref href="#Creating">Creating Accounts</MadCap:xref> for information about the attributes.</p>
        <h3 id="GCPUseCases-CreatingServiceAccountPolicy"><a name="Creating2"></a>Creating Service Account Policy</h3>
        <p>You can specify attribute values to create a new service account in GCP. To do so, expand <strong>Create Service Account Policy</strong> in the <strong>Setup Account Provisioning configuration</strong> section. Click <strong>Switch to Editor View</strong> and specify the service account in the following format:</p>
        <p><span class="attr">{ "accountId" : "${requestAccessAttributes.get('ACCOUNTNAME')}","serviceAccount" : { "displayName" : "${requestAccessAttributes.get('DisplayName')}" } }</span>
        </p>
        <h3 id="GCPUseCases-ProvisioningProcedure"><span class="inline-comment-marker">Provisioning Procedure</span>
        </h3>
        <p>To configure provisioning of GCP accounts:</p>
        <ol>
            <li>
                <p>On the Home page for the application, select <strong>Assisted configuration</strong>.</p>
            </li>
            <li>
                <p>Click <strong>See More</strong> to display all the selected features.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can add or remove the features that you want to configure by clicking <strong>&lt;Number of&gt; Features Selected</strong> on the top right of the Get Started section. In the <strong>Features </strong>page that is displayed, make the changes and click <strong>Save</strong>.</p>
                </div>
            </li>
            <li>
                <p>To configure the application properties for provisioning:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Under Account Management, click the right arrow next to <strong>Setup Account Provisioning configuration</strong>.</p>
                    </li>
                    <li>
                        <p>Specify values for the account provisioning properties by referring to the sections listed in the following table:</p>
                        <div class="table-wrap">
                            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                                <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                                <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                                <thead>
                                    <tr class="TableStyle-Default-Table-Head-Header1">
                                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">See More…</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="TableStyle-Default-Table-Body-Body1">
                                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                            <p class="table-text">Create Account Policy</p>
                                        </td>
                                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                            <p class="table-text">
                                                <MadCap:xref href="#Creating">Creating Accounts</MadCap:xref>
                                            </p>
                                        </td>
                                    </tr>
                                    <tr class="TableStyle-Default-Table-Body-Body1">
                                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                            <p class="table-text">Update Account Policy</p>
                                        </td>
                                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                            <p class="table-text">
                                                <MadCap:xref href="#Updating">Updating Accounts</MadCap:xref>
                                            </p>
                                        </td>
                                    </tr>
                                    <tr class="TableStyle-Default-Table-Body-Body1">
                                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                            <p class="table-text">Create Service Account Policy</p>
                                        </td>
                                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                            <p class="table-text">
                                                <MadCap:xref href="#Creating2">Creating Service Account Policy</MadCap:xref>
                                            </p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </li>
                    <li>
                        <p>When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>To complete enrolling the application, click <strong>Commit Changes</strong>.</p>
            </li>
            <li>
                <p>Configure the&#160;Provisioning job<strong>&#160;(WSRETRY)</strong>.&#160;For more information, see&#160;<MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#Utility">Utility</MadCap:xref>.</p>
                <p>When a provisioning job is triggered, it creates provisioning tasks in IGA. When these tasks are completed, the provisioning action is performed on the target application.</p>
            </li>
        </ol>
        <h2 id="GCPUseCases-ManagingRequests"><a name="Managing"></a>Managing Requests</h2>
        <p>IGA supports request-based provisioning operations that involve both end users and approvers. The end users make requests and the approvers approve or reject those requests. Typically, approvers belong to the management hierarchy in the organization. See <MadCap:xref href="#Managing">Managing Requests</MadCap:xref> for more information.</p>
        <h2 id="GCPUseCases-ManagingPrivilegedAccessforGCPApplications">Managing Privileged Access for GCP Applications</h2>
        <p>Privileged Access Management (PAM) manages access to the workloads that run under GCP. The workloads can range from Windows, Linux, or Databases, such as Oracle or MySQL. The application onboarding and management feature associates the workloads inside GCP to the global PAM configuration that you can configure for GCP applications. The global PAM configuration for a GCP application is propagated to the workloads.</p>
        <p>The <strong>Catalog</strong> tab in the Application Management page lists the application types for GCP applications. Click <strong>Application Types</strong> to the right of GCP to display the application types, which are GCP-Linux, GCP-SQL, and GCP-Windows. </p>
        <p>
            <img src="../../Resources/Images/appmgmt.png" style="width: 650px;" />
        </p>
        <p>Place your mouse pointer on any application type, and click <strong>View Details</strong> on the right to list the instances of that application type on the Instances page. Here, you can click <strong>Configure</strong> to open the Home page and add or modify the configuration details for each instance. </p>
        <h3 id="GCPUseCases-SettingUpEmergencyAccessIDConfiguration"><a name="Setting"></a>Setting Up Emergency Access ID Configuration</h3>
        <p>Emergency Access allows users to request a Privileged ID (Account) to systems and applications in emergency situations for a particular period of time. For example, access is required for a system for an hour, daily, or for a period of a month. Users can create self-service requests for emergency access. While doing so, users specify the Emergency Access ID in the request and include the details about the intended activities for audit purposes. Reviewers review the emergency access requests and grant access. Certifiers perform periodic audits of Emergency Access usage to monitor compliance. Administrators must set up the Emergency Access functionality before users request emergency access.</p>
        <p>To configure Emergency Access ID for a GCP application, navigate to the <strong>Setup Emergency Access ID Configuration</strong> section, and specify values for the following parameters:</p>
        <ul>
            <li>
                <p><strong>Emergency access id request workflow: </strong>Select the Emergency Access ID request workflow, which is used for approving the request for a stipulated time frame for the respective Emergency Access ID.</p>
            </li>
            <li>
                <p><strong>Emergency access id access request workflow: </strong>Select the Emergency Access ID Access request workflow to be used for approving a request for Emergency Access ID Access Request, which is a larger time frame for allocating access to the respective Emergency Access ID. From this larger scheduled time frame, Emergency Access ID request can be made within the stipulated time. </p>
            </li>
        </ul>
        <h3 id="GCPUseCases-ConfiguringMasterConnections">Configuring Master Connections</h3>
        <p>You need to create a master connection for Windows, Linux, and database application types. This is because, in each of these connections, a separate master credential is saved and used as a reference connection to use it for connection JSONs, where the actual connection is created for target instances. The master credential is a pre-existing credential that is present initially on all Windows, Linux, and database instances respectively. During the bootstrapping process, the master password is changed to different passwords on all target instances.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The master credential is different for different GCP application types. That is, all Windows instances contain the same password. Similarly, all Linux instances contain the same keys.</p>
        </div>
        <p>It is recommended to rotate the master connection credential so that no human or external script is aware of this password. This can be controlled by setting the changeConnectionCredential parameter to true in PAM configuration. For information about this parameter, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Configuring-PAM-for-Google-Cloud-Platform-GCP.htm" pubname="CPAM-Admin-Guide-v2021x" class="peer">Creating GCP Connection</a></MadCap:conditionalText> in the <em>Cloud Privileged Access Management Administrator Guide</em>.The master connection credential is used only to bootstrap the endpoint. After the endpoint is bootstrapped, a random password is set on the endpoint connection and it is vaulted.</p>
        <p>While creating a master connection for GCP applications, mention all the required configurations, provide the user name and password of the master account (separate user name and password for both Windows and database connection), and user name and key of the master account (for Linux connection).</p>
        <h4 id="GCPUseCases-ConfiguringaWindowsMasterConnection"><a name="Configur"></a>Configuring a Windows Master Connection</h4>
        <p>For Windows instances, the default user name and password of the master account will be part of the Windows connection. During the bootstrap process, the master credential is changed for a given instance. A random password is generated on every Windows instance that is created. Therefore, each bootstrapped Windows instance now contains the same master account user name but with a different password. The default master account password is no longer applicable to any of the bootstrapped Windows instances.</p>
        <p>For example, if you create 10 Windows connections using the connection for Windows, which contains the default username and password as administrator and test123 respectively. When the bootstrap process completes, the password for the first Windows instance is changed to random123, and the password for the second Windows instance is changed to sample321. Similarly, for the remaining eight bootstrapped Windows instances, a random password is generated and used.</p>
        <p>Provide the credentials for a Windows application template that will be copied to all GCP windows workloads during bootstrapping in the <strong>Setup Windows Master Connection</strong> section. The connection parameters are:</p>
        <ul>
            <li>
                <p><strong>Windows Microservice URL:</strong> Specify the URL of the Windows microservice.</p>
            </li>
            <li>
                <p><strong>Hostname of target windows server:</strong> Specify the hostname of the target Windows server.</p>
            </li>
            <li>
                <p><strong>Username:</strong> Specify a username to connect to the target Windows server.</p>
            </li>
            <li>
                <p><strong>Password:</strong> Specify a password to connect to the target Windows server.</p>
            </li>
            <li>
                <p><strong>Domain of target windows server:</strong>  Specify the domain name of the target Windows server.</p>
            </li>
        </ul>
        <p>In addition, you can configure import, group management, provisioning, emergency access, privileged accounts, and vault configuration for the GCP application in the <strong>Setup Windows Master Connection</strong> section. The parameter values depend on the workload type and the data in your organization.</p>
        <h4 id="GCPUseCases-ConfiguringaLinuxMasterConnection"><a name="Configur2"></a>Configuring a Linux Master Connection</h4>
        <p>For Linux instances, the default username and the key of the master account are part of the Linux connection. When the bootstrap process completes, a random key is generated on every Linux instance that is created. Therefore, each bootstrapped Linux instance now contains the same master account username but with a different key. The default master account key is no longer applicable to any of the bootstrapped Linux instances.</p>
        <p>Provide the credentials for a Linux application template that will be copied to all GCP Linux workloads during bootstrapping in the <strong>Setup Linux Master Connection</strong> section. The connection parameters are:</p>
        <ul>
            <li>
                <p><strong>Hostname:</strong> Specify the hostname or IP address of the target application for which the connection is being created. This is a mandatory parameter.</p>
            </li>
            <li>
                <p><strong>Port:</strong> Specify the port number of the target application. SSH standard TCP port number is 22. This is a mandatory parameter.</p>
            </li>
            <li>
                <p><strong>Username:</strong> Specify the username of the root account or sudo user account with administrative privileges on the Linux host, where IGA can authenticate and leverage to connect and perform all operations, such as import, provisioning, and deprovisioning.&#160;Example: unixAdm. This is a mandatory parameter.</p>
            </li>
            <li>
                <p><strong>Password:</strong> Specify the password of the root account or sudo user account.</p>
            </li>
            <li>
                <p><strong><span class="inline-comment-marker">Pem </span>key file: </strong>Specify the path where the PEM Key file is stored.&#160;This field is optional for basic authentication-based connection. This field is mandatory if the connection needs a private key to connect, for example /home/unixAdm/keys/authz.pem.</p>
            </li>
            <li>
                <p><strong>Passphrase: </strong>Specify the value used in conjunction with the PEM Key file.&#160;</p>
            </li>
            <li>
                <p><strong>SSH key: </strong>Specify the SSH key value used to connect to the Linux server. The key value is stored in an encrypted manner in the database.</p>
            </li>
            <li>
                <p><strong>SSHPassThroughPassword: </strong>Specify the password of the SSHTunnelUsername used for the Tunnel_Basic tunneling mechanism.</p>
            </li>
            <li>
                <p><strong>SSHPassThroughPassphrase: </strong>Specify the passphrase of the SSHTunnelUsername used for the Tunnel_Basic tunneling mechanism.</p>
            </li>
            <li>
                <p><strong>SSHPassThroughSSHKey: </strong>Specify the SSHKey of the SSHTunnelUsername used for the Tunnel_KeyBased tunneling mechanism.</p>
            </li>
        </ul>
        <p>In addition, you can configure import, provisioning, group management, emergency access, and vault configuration for the GCP application in the <strong>Setup Linux Master Connection</strong> section. The parameter values depend on the workload type and the data in your organization.</p>
        <h4 id="GCPUseCases-ConfiguringaDatabaseMasterConnection"><a name="Configur3"></a>Configuring a Database Master Connection</h4>
        <p>For database instances, the configuration is similar to the Windows instance, but there is an additional connection for the target database application.</p>
        <p>Provide the credentials for the database application template that will be copied to all GCP database workloads during bootstrapping in one or more of the <strong>Setup Oracle Master Connection</strong>, <strong>Setup MsSQL Master Connection</strong>, <strong>Setup PostGreSQL Master Connection</strong>, or <strong>Setup MySQL Master Connection</strong> sections that you want to configure. The connection parameters are:</p>
        <ul>
            <li>
                <p><strong>Database URL: </strong>Specify the URL of the host computer on which the target database is installed.  </p>
            </li>
            <li>
                <p><strong>Database Driver: </strong>Specify the driver name for the connection based on the database.</p>
            </li>
            <li>
                <p><strong>Username: </strong>Specify a username to connect to the target database.</p>
            </li>
            <li>
                <p><strong>Password: </strong>Specify a password to connect to the target database.</p>
            </li>
            <li>
                <p><strong>Connection properties: </strong>Specify a value for the <strong>autocommit</strong> property to determine the connection type. The default value is true, which indicates that the changes to the database will be automatically committed. If you want to change the value so that it is determined by multiple conditional evaluations, then click the property, select <strong>Advanced Value</strong>, provide a groovy script, and click <strong>Save</strong>.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can click <strong>Switch to Editor View</strong> to display the CLI command that sets the autocommit property to true. After modifying the value, click <strong>Switch to Builder View</strong> to display it in this view.</p>
                </div>
            </li>
        </ul>
        <p>In addition, you can configure import, provisioning, password policy management, and vault configuration for the GCP application in the sections for setting up database master connection. The parameter values depend on the workload type and the data in your organization.</p>
        <h3 id="GCPUseCases-PAMConfiguration"><a name="PAM"></a><span class="inline-comment-marker">PAM Configuration</span>
        </h3>
        <p>PAM configuration defines the security configurations for a privileged session and the requests related to that. For example, an administrator can define how a privileged session can be requested, which targets and accounts must be PAM protected, and so on. These configurations are used during PAM bootstrapping the targets or controlling request parameters for a privileged session. </p>
        <p>Provide the configuration for PAM bootstrapping in the <strong>Update PAM Configuration</strong> section. To do so, click <strong>Edit</strong> to open the PAM Configuration dialog box.</p>
        <p>
            <img src="../../Resources/Images/PAM1.png" style="width: 700px;" />
        </p>
        <p>Click the application types and the subcategories under them on the left pane, specify values for the PAM configuration properties, and then click <strong>Done</strong>. For information about the configuration properties, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Configuring-PAM-for-Google-Cloud-Platform-GCP.htm" pubname="CPAM-Admin-Guide-v2021x" class="peer">Executing PAM Bootstrap</a></MadCap:conditionalText> in the <em>Cloud Privileged Access Management Administrator Guide</em>.</p>
        <h3 id="GCPUseCases-PAMEnablingtheGCPApplication"><span class="inline-comment-marker">PAM Enabling the GCP Application</span>
        </h3>
        <p>To enable PAM protection for the GCP application and its workloads:</p>
        <ol>
            <li>
                <p>On the Home page for the application, select <strong>Assisted configuration</strong>.</p>
            </li>
            <li>
                <p>Click <strong>See More</strong> to display all the selected features. If the Privileged Access Management feature is not selected, then click <strong>&lt;Number of&gt; Feature Selected</strong> on the top right of the page, select <strong>Privileged Access Management</strong>, and then click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>Under Privileged Access Management, click the right arrow and configure PAM for the GCP application by referring to the sections listed in the following table:</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Configuration</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1"><strong>See More…</strong>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Setup Emergency Access ID Configuration </p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">
                                        <MadCap:xref href="#Setting">Setting Up Emergency Access ID Configuration</MadCap:xref>
                                    </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Setup Windows Master Connection</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">
                                        <MadCap:xref href="#Configur">Configuring a Windows Master Connection</MadCap:xref>
                                    </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Setup Linux Master Connection</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">
                                        <MadCap:xref href="#Configur2">Configuring a Linux Master Connection</MadCap:xref>
                                    </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Setup Oracle Master Connection</p>
                                    <p class="table-text">Setup MsSql Master Connection</p>
                                    <p class="table-text">Setup PostGreSql Master Connection</p>
                                    <p class="table-text">Setup MySql Master Connection</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">
                                        <MadCap:xref href="#Configur3">Configuring a Database Master Connection</MadCap:xref>
                                    </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Update PAM Configuration</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">
                                        <MadCap:xref href="#PAM">PAM Configuration</MadCap:xref>
                                    </p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <p>To navigate through the configuration pages, click the right and left arrows on the left pane.</p>
            </li>
            <li>
                <p>When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page.</p>
            </li>
            <li>
                <p>To complete enrolling the application, click <strong>Commit Changes</strong>.</p>
            </li>
            <li>
                <p>Run the bootstrap job for PAM setup. To do so, add a new job for the <strong>Application Data Import (Single Threaded)</strong> job type, and run the job. See <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Configuring-PAM-for-Google-Cloud-Platform-GCP.htm" pubname="CPAM-Admin-Guide-v2021x" class="peer">Executing PAM Bootstrap</a></MadCap:conditionalText> in the <em>Cloud Privileged Access Management Administrator Guide</em>.</p>
            </li>
        </ol>
        <h3 id="GCPUseCases-EnablingPrivilegedAccessforIndividualWorkloads">Enabling Privileged Access for Individual Workloads</h3>
        <p>After running the PAM bootstrap job, the workloads are PAM-enabled. To further enable or disable PAM or to update PAM configuration on the workloads:</p>
        <ol>
            <li>
                <p>In the <strong>Catalog</strong> tab of the Application Management page, click <strong>Application Types</strong> next to GCP to display the application types.</p>
            </li>
            <li>
                <p>Click <strong>View Details</strong> to the right of the application type, such as GCP-Linux, GCP-SQL, or GCP-Windows, for which you want to enable privileged access. The endpoints for that application type are displayed in the Instances page.</p>
            </li>
            <li>
                <p>Click <strong>Configure</strong> to the right of the endpoint for which you want to enable privileged access. The Home page is displayed.</p>
            </li>
            <li>
                <p>Click <strong>See More</strong> to display all the features. If the Privileged Access Management feature is not selected, then click <strong>&lt;Number of&gt; Feature Selected</strong> on the top right of the page, select <strong>Privileged Access Management</strong>, and then click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>Under Privileged Access Management, click the arrow next to Setup Emergency Access ID Configuration.</p>
            </li>
            <li>
                <p>In the Setup Emergency Access ID Configuration page, specify values for the following properties: </p>
                <ul>
                    <li>
                        <p><strong>Emergency access id request workflow</strong>: Select the Emergency Access ID request workflow, which will be used for approving the request for a stipulated time frame for the respective Emergency Access ID.</p>
                    </li>
                    <li>
                        <p><strong>Emergency access id access request workflow</strong>: Select the Emergency Access ID Access request workflow to be used for approving a request for Emergency Access ID Access Request, which is a larger time frame for allocating access to the respective Emergency Access ID. From this larger scheduled time frame, Emergency Access ID request can be made within the stipulated time.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Click the right arrow on the left pane to go to the Enable PAM page.</p>
            </li>
            <li>
                <p>Click the <strong>Enable privileged access</strong> toggle button to enable PAM on the GCP workload instance. When enabled, an API is triggered to enable the workload instance.</p>
            </li>
            <li>
                <p>Click <strong>Finish</strong> to complete the configuration and go to the Home page.</p>
            </li>
            <li>
                <p>To complete enrolling the application, click <strong>Commit Changes</strong>.</p>
            </li>
            <li>
                <p>Run the bootstrap job for PAM setup. To do so, add a new job for the <strong>Application Data Import (Single Threaded)</strong> job type, and run the job. See <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Configuring-PAM-for-Google-Cloud-Platform-GCP.htm" pubname="CPAM-Admin-Guide-v2021x" class="peer">Executing PAM Bootstrap</a></MadCap:conditionalText> in the <em>Cloud Privileged Access Management Administrator Guide</em>.</p>
            </li>
        </ol>
    </body>
</html>